summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-07-30 11:09:34 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2010-07-30 11:09:34 +0200
commit4d36338cd8f5a2ede3f6d199a9e507fe10b95959 (patch)
tree4958f35f36be12198c5d1dba7596de1960222b52 /scripts
parentf6fc0696b89cf3c15479a1fe69de2c6acfe72d9f (diff)
automake needs autoconf, autoconf needs m4
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh31
1 files changed, 22 insertions, 9 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index f08ee812a..ef278da92 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -26,7 +26,6 @@ out=0
if [[ -n $ADK_NATIVE ]];then
if [[ -n $ADK_PACKAGE_GIT ]];then
NEED_CURLDEV="$NEED_CURLDEV git"
- NEED_SSLDEV="$NEED_SSLDEV git"
fi
if [[ -n $ADK_TARGET_PACKAGE_RPM ]]; then
NEED_RPM="$NEED_RPM rpm"
@@ -55,8 +54,15 @@ if [[ -n $ADK_COMPILE_AVAHI ]]; then
NEED_PKGCONFIG="$NEED_PKGCONFIG avahi"
fi
+if [[ -n $ADK_COMPILE_AUTOCONF ]]; then
+ NEED_M4="$NEED_M4 autoconf"
+fi
+
+if [[ -n $ADK_COMPILE_AUTOMAKE ]]; then
+ NEED_AUTOCONF="$NEED_AUTOCONF automake"
+fi
+
if [[ -n $ADK_PACKAGE_SQUID ]]; then
- NEED_SSLDEV="$NEED_SSLDEV squid"
NEED_GXX="$NEED_GXX squid"
fi
@@ -139,6 +145,20 @@ if [[ -n $NEED_MKFONTDIR ]]; then
fi
fi
+if [[ -n $NEED_M4 ]]; then
+ if ! which m4 >/dev/null 2>&1; then
+ echo >&2 You need GNU m4 to build $NEED_M4
+ out=1
+ fi
+fi
+
+if [[ -n $NEED_AUTOCONF ]]; then
+ if ! which autoconf >/dev/null 2>&1; then
+ echo >&2 You need autoconf to build $NEED_AUTOCONF
+ out=1
+ fi
+fi
+
if [[ -n $NEED_INTL ]]; then
if ! which intltool-update >/dev/null 2>&1; then
echo >&2 You need intltool to build $NEED_INTL
@@ -220,13 +240,6 @@ if [[ -n $NEED_GLIBZWO ]]; then
fi
fi
-if [[ -n $ADK_USE_CCACHE ]]; then
- if ! which ccache >/dev/null 2>&1; then
- echo >&2 You have selected to build with ccache, but ccache could not be found.
- out=1
- fi
-fi
-
if [[ -n $NEED_RPM ]]; then
if ! which rpmbuild >/dev/null 2>&1; then
echo >&2 You need rpmbuild to to use $NEED_RPM package backend